Bug 1805461 - etcd: replace bash logic in static pod with golang
Summary: etcd: replace bash logic in static pod with golang
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard: move-to-4.5
Depends On: 1805458
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-20 20:13 UTC by Sam Batschelet
Modified: 2020-03-24 15:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Replace bash logic to discover initial cluster with golang binary Reason: Bash has become convoluted and complex. Easier to maintain and fix in golang. Result: The static pod runtime logic is simplified.
Clone Of: 1805458
Environment:
Last Closed: 2020-02-22 00:41:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sam Batschelet 2020-02-20 20:13:44 UTC
+++ This bug was initially created as a clone of Bug #1805458 +++

Description of problem: the cluster-etcd-operator deploys the etcd static pod which uses bash logic to perform various checks during runtime. Although this logic is somewhat simple error handling is not as expected and will become increasingly convoluted over time. The logic should be in go and properly handle failure cases gracefully. The solution is to add another binary image to etcd itself.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.